Bug 126015

Summary: New port: lang/ypsilon: Scheme implementation for real-time applications
Product: Ports & Packages Reporter: Vitaly Magerya <vmagerya>
Component: Individual Port(s)Assignee: Felippe de Meirelles Motta <lippe>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.shar
none
ypsilon-0.9.5.u2.shar
none
ypsilon-0.9.5.u2.shar.txt
none
ypsilon-0.9.5.u2.shar.txt
none
ypsilon-0.9.5.u2.shar.txt
none
ypsilon-0.9.6.shar none

Description Vitaly Magerya 2008-07-27 23:00:07 UTC
Ypsilon is an implementation of Scheme programming language for real-time
applications, which conforms to the latest standard R^6RS.
Ypsilon features mostly concurrent garbage collector optimized for systems
with multiple CPUs, and an easy to use FFI.

WWW: http://code.google.com/p/ypsilon/

Note. The port is known to work with GCC 4.2.1 (FreeBSD 7.0 default) and newer.
Older versions may bring problems.

Also the author says it only works for 32-bit systems, but it apparently was built by someone on amd64, so no architecture restrictions are in the makefile.

Fix: Patch attached with submission follows:
Comment 1 Vitaly Magerya 2008-07-28 23:01:57 UTC
Skip the previous shar archive, use this one instead.
I've replaced install procedure to make it use the correct access mask.
Comment 2 Felippe de Meirelles Motta freebsd_committer 2008-07-29 02:10:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 3 Vitaly Magerya 2008-07-29 10:43:23 UTC
It seems that the last attachment got broken somehow.
(It's not easily accessible through web interface; was it readable
through mail?).
Anyway, I'm sending it once again, as plain text this time.
Comment 4 Felippe de Meirelles Motta freebsd_committer 2008-07-29 14:00:17 UTC
Hi Vitaly,

Your patch is broken yet, can you try to send us again ?

Thank you! :)

-- 
lippe@FreeBSD.org
Felippe de Meirelles Motta
Comment 5 Vitaly Magerya 2008-07-29 21:48:23 UTC
Well, hoping it works this time.
If it's not (man, would that be a joke?), you can actually obtain the 
correct file by viewing raw PR, copy-pasting the base64-encoded 
attachment and decoding it manually (I've managed to do that via 
converters/base64 port).
Comment 6 Vitaly Magerya 2008-08-02 21:54:24 UTC
Ypsilon was updated to 0.9.6 a few days ago, so here's the new archive.

Besides the version update, I've also added port examples and made a 
patch to get gl/glut FFI going on FreeBSD.

Also the port is now marked as i386-only. It seems that the code 
requires it, and I can't test it anywhere else, so until the author 
shares some insight on this, let's be conservative.
Comment 7 Vitaly Magerya 2008-08-02 22:48:16 UTC
Damn. That was the old archive. Use this one.
Comment 8 Felippe de Meirelles Motta freebsd_committer 2008-08-03 14:36:06 UTC
Hi submitter,

Take a look on your patch, see:

http://tb3.droso.net/errors/8-lippe/ypsilon-0.9.5.u2.log

Try to fix it and send us again, thank you! :)

-- 
lippe@FreeBSD.org
Felippe de Meirelles Motta
Comment 9 dfilter service freebsd_committer 2008-08-05 16:19:25 UTC
lippe       2008-08-05 15:19:14 UTC

  FreeBSD ports repository

  Added files:
    lang/ypsilon         Makefile distinfo pkg-descr pkg-plist 
    lang/ypsilon/files   patch-Makefile patch-sitelib 
  Log:
  Ypsilon is an implementation of Scheme programming language for real-time
  applications, which conforms to the latest standard R^6RS.
  Ypsilon features mostly concurrent garbage collector optimized for systems
  with multiple CPUs, and an easy to use FFI.
  
  WWW: http://code.google.com/p/ypsilon/
  
  PR:             ports/126015
  Submitted by:   Vitaly Magerya <vmagerya@gmail.com>
  Approved by:    gabor (mentor, implicit)
  
  Revision  Changes    Path
  1.1       +38 -0     ports/lang/ypsilon/Makefile (new)
  1.1       +3 -0      ports/lang/ypsilon/distinfo (new)
  1.1       +46 -0     ports/lang/ypsilon/files/patch-Makefile (new)
  1.1       +42 -0     ports/lang/ypsilon/files/patch-sitelib (new)
  1.1       +6 -0      ports/lang/ypsilon/pkg-descr (new)
  1.1       +83 -0     ports/lang/ypsilon/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Felippe de Meirelles Motta freebsd_committer 2008-08-05 18:01:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!